NFSD(8) | System Manager's Manual | NFSD(8)

# NAME

nfsd — remote NFS server

# SYNOPSIS

nfsd | [-6rut] [-n num_threads]

# DESCRIPTION

nfsd runs on a server machine to service NFS requests from client machines. At least one nfsd must be running for a machine to operate as a server.

Unless otherwise specified, four servers for UDP transport are started.

The following options are available:

-r
  Register the NFS service with rpcbind(8) without creating any servers. This option can be used along with the -u or -t options to re-register NFS if the portmap server is restarted.
-n
  Specifies how many server threads to create. The default is 4. A server should run enough threads to handle the maximum level of concurrency from its clients.
-6
  Listen to IPv6 requests as well as IPv4 requests. If IPv6 support is not available, nfsd will silently continue and just use IPv4.
-t
  Serve TCP NFS clients.
-u
  Serve UDP NFS clients.

For example, “`nfsd -t -u -n 6`” serves UDP and TCP transports using six threads.

nfsd listens for service requests at the port indicated in the NFS server specification; see Network File System Protocol Specification, RFC 1094 and NFS: Network File System Version 3 Protocol Specification.

The nfsd utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

nfsstat(1), nfssvc(2), mountd(8), rpcbind(8)

# HISTORY

The nfsd utility first appeared in 4.4BSD.

March 17, 2008 | NetBSD 6.0